#ifndef __UDS_28SERVICE_Main_H
#define __UDS_28SERVICE_Main_H

#include "stdint.h"
#include "UDS_28Service_Filter.h"
#include "UDS_28Service_Internal.h"

void UDS_Service_28_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_28Service_Sub(void);
void UDS_28Service_Sub00(void);
void UDS_28Service_Sub01(void);
void UDS_28Service_Sub02(void);
void UDS_28Service_Sub03(void);

#endif